<?php

namespace Drupal\firebase_ui\Service;

/**
 * Interface for Notification Sender services.
 */
interface NotificationSenderInterface {

  /**
   * Sends a notification.
   *
   * @param string $token
   *   Device FCM token.
   * @param string $title
   *   Notification title.
   * @param string $message
   *   Notification message.
   * @param array $data
   *   Additional payload.
   *
   * @return array|bool
   *   Result from Firebase or FALSE if failed.
   */
  public function sendNotification(string $token, string $title, string $message, array $data = []): array|bool;

}
